
from distutils.core import setup

setup(
    name='NanoThreads',
    version='5',
    description='A cooperative thread scheduler.',
    author='Simon Wittber',
    author_email='simonwittber@gmail.com',
    py_modules=['nanothreads'],
    url="http://developer.berlios.de/projects/lgt/",
    platforms=["any"],
    long_description= """
Nanothreads allows the programmer to create cooperative threads using generator functions.
It also allows the same generator functions to be run as real threads, with a priority.
Both types of threads can be killed, and exit functions can be called when a thread is killed or when the thread returns.
"""
)



